Entity and resource types
Create a resource type
Authorization
bearerAuth AuthorizationBearer <token>
In: header
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/resource_types" \ -H "Content-Type: application/json" \ -d '{ "data": { "type": "resource_types", "attributes": {} } }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "resource_types", "attributes": { "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "slug": "string", "name": "string", "name_en": "string", "name_fr": "string", "name_es": "string", "resource_type": "string", "default": true, "weight": 0, "available_for_entity": "string", "supports_available_for_entity": true, "external_id": "string", "deleted_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "relationships": { "entity_type": { "data": { "type": "entity_types", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "links": { "self": "/resource_types/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/entity_type", "related": "/resource_types/7247ad7d-9275-454b-9e3a-0570e403739e/entity_type" } } } }}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}